/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shale.usecases.exception;

import org.apache.shale.view.AbstractViewController;

/**
 * <p>Backing bean for the exception use case.</p>
 *
 * $Id: Test.java 410891 2006-06-01 17:04:20Z craigmcc $
 */
public class Test extends AbstractViewController {
    
    
    /**
     * <p>Throw an exception and then attempt to navigate to
     * the "incorrect" page.</p>
     */
    public String submit() {
        int i = 1;
        int j = 0;
        int k = i / j;
        return "exception$incorrect";
    }


}
