/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shale.usecases.token;

import org.apache.shale.view.AbstractViewController;

/**
 * <p>Backing bean for the token use case.</p>
 *
 * $Id: Test.java 464373 2006-10-16 04:21:54Z rahul $
 */
public class Test extends AbstractViewController {
    
    
    // -------------------------------------------------------------- Properties


    /**
     * <p>The input value.  The actual content is ignored ... it is only here
     * to provide an input field with a required validation.</p>
     */
    private String value = null;

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }


}
